﻿using FlexGridSearch.Data;

using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Grouped Items Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234231

namespace FlexGridSearch
{
    /// <summary>
    /// A page that displays a grouped collection of items.
    /// </summary>
    public sealed partial class MainPage : FlexGridSearch.Common.LayoutAwarePage
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Populates the page with content passed during navigation.  Any saved state is also
        /// provided when recreating a page from a prior session.
        /// </summary>
        /// <param name="navigationParameter">The parameter value passed to
        /// <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        /// </param>
        /// <param name="pageState">A dictionary of state preserved by this page during an earlier
        /// session.  This will be null the first time a page is visited.</param>
        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            // bind c1CollectionView to our source collection from view model
            var customers = CustomerDataSource.GetCustomers();
            customersView.SourceCollection = customers;

            if (navigationParameter != null)
            {
                // set filter based on search query
                string query = navigationParameter.ToString().ToLower();
                customersView.Filter = delegate(object item)
                {
                    Customer c = item as Customer;
                    if (c != null)
                    {
                        if (c.Country.ToLower().Contains(query) ||
                            c.Name.ToLower().Contains(query))
                            return true;
                    }
                    return false;
                };
            }
        }
    }
}
